> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Products

Use this endpoint to delete one or more products from your PIC product library.

<Warning>
  This action is destructive and cannot be undone.
</Warning>

### Request body params

| Name  | Type            | Description                                                   |
| :---- | :-------------- | :------------------------------------------------------------ |
| `ids` | `Array<string>` | **\[REQUIRED]** An array of unique product IDs to be deleted. |

### Implementation Details

* **Bulk Operation**: This endpoint handles bulk deletions. It returns a response indicating which IDs were successfully deleted and which failed.
* **Response Format**: Returns `{ successIds: string[], failureIds: string[] }`.


## OpenAPI

````yaml api-reference/openapi/french-eco.json POST /products/delete
openapi: 3.0.0
info:
  title: pic-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/pic-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/pic-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /products/delete:
    post:
      summary: Products Delete
      operationId: ProductsDelete
      requestBody:
        $ref: '#/components/requestBodies/CorpReportApiItems'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CorpRepApiImportResponse'
components:
  requestBodies:
    CorpReportApiItems:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CorpReportApiItems'
      required: true
  schemas:
    CorpRepApiImportResponse:
      properties:
        successIds:
          items:
            type: string
          type: array
        failureIds:
          items:
            type: string
          type: array
      required:
        - failureIds
        - successIds
      type: object
      additionalProperties: false
    CorpReportApiItems:
      description: API id based requests (import/remove/sync)
      properties:
        ids:
          items:
            type: string
          type: array
      required:
        - ids
      type: object
      additionalProperties: false
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````